#pragma once

#include "cocos2d.h"

namespace MainMenu
{
    class CScene : public cocos2d::Scene
    {
        
    public:
        
        static cocos2d::Scene* createScene();
        
        virtual bool init();
        
        // implement the "static create()" method manually
        CREATE_FUNC(CScene);
        
    private:
        
        void update(const float kfDeltaTime);
        
        // Touch handler (pass touches to the Gesture recognizer to process)
        virtual bool touchBegan(cocos2d::Touch* touch, cocos2d::Event* event);
        virtual void touchMoved(cocos2d::Touch* touch, cocos2d::Event* event);
        virtual void touchEnded(cocos2d::Touch* touch, cocos2d::Event* event);
        virtual void touchCancelled(cocos2d::Touch* touch, cocos2d::Event* event);

    };
}
